<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    
    <label for="num1">Numero1:</label>
    <input type="number" name="num1" id="num1">

    <br><br>

    <label for="num2">Numero2:</label>
    <input type="number" name="num2" id="num2">

    <br><br>
    <button id="btnMayor">¿Cual es el mas grande?</button>

    <script>
        
        document.getElementById('btnMayor').addEventListener('click' , () => {
            var num1 =parseInt(document.getElementById('num1').value);
            var num2 =parseInt(document.getElementById('num2').value);

            if(num1 > num2) {
                console.log('el primer numero es mayor');
            }   else if (num1 === num2) {
                console.log('los numero son iguales');
            } else {
                console.log('el segundo numero es mayor');
            }

        });

    </script>

</body>

</html>